[gobolinux-users] Re: Gobohide broken on 2.6.12.2?

Hisham Muhammad hisham.hm at gmail.com
Thu Aug 11 17:15:28 GMT 2005


On 8/5/05, Jonatan Liljedahl <lijon at kymatica.com> wrote:
> On Thu, 4 Aug 2005 21:02:44 -0500
> Carlo Calica <ccalica at gmail.com> wrote:
> 
> > On 7/14/05, Lucas Correia Villa Real <lucasvr at gobolinux.org> wrote:
> > >
> > > Ugh, sorry. Seems like I forgot to upload the new recipe.
> >
> > Have we reached a consensus on how to handle revisions/patch levels in
> > recipes/packages?  If not, we really should.

Ok, here's a proposal which I think will be consensual, based on what
was discussed on previous threads. I don't remember who proposed this
particular scheme, but thinking about it, it sounds good to me:

sed the package version number with s/-/./g and add a hyphen and a
revision number. No revision is synonimous with revision 1 (backwards
compatibility).

Everyone agrees?

> Another similar issue is the names of binary packages compiled for some
> specific version of another package. Like the Perl-XML-parser which is
> compiled for Perl 5.8.6 and won't work with other versions unless you
> rename the version specific dirs... So the package should be named so
> you know for what Perl version it's compiled.

At first this sounds like a good idea, but OTOH Perl is just a "strict
dependency" for the package (we don't want to start listing dependency
versions in package version numbers :) ). What we need instead is to
be able to specify "Perl == 5.8.6" in the dependencies file.

-- Hisham


More information about the gobolinux-users mailing list